# File Download Token

**Provides a tokenized link by which a file can be downloaded.**

## Overview

The **File Download Token** module allows you to generate tokenized links for file downloads. 
This is particularly useful for scenarios where you need to provide secure, time-limited access to files, 
such as in email handlers or webform submissions.

## Features

- Generate tokenized links for secure file downloads.
- Integrates seamlessly with the [Webform](https://www.drupal.org/project/webform) module by installing `file_download_token_webform` sub-module.
- Supports Drupal 8.8, 9, 10, and 11.

## Requirements

- Drupal 8.8 or higher.
- [Webform](https://www.drupal.org/project/webform) module.

## Installation and basic usage

1. Add the module as usual and activate.
2. File Download Token Webform:
   - Enable `file_download_token_webform`
   - Specify a file in the _Settings/Confirmation_ tab
    under _Download token file_.
   - Add the `[webform:file-download-token-url]` token 
    to the text-field of a handler.
